package main

type AppConfig struct {
	Watching WatchingConfig `mapstructure:"watching"`
	Minio    MinIoConfig    `mapstructure:"minio"`
}

type WatchingConfig struct {
	Dir                       string `mapstructure:"dir"`
	TmpDir                    string `mapstructure:"tmpDir"`
	UploadFileIntervalSeconds int32  `mapstructure:"uploadFileIntervalSeconds"`
	DeleteFileAfterMinutes    int32  `mapstructure:"deleteFileAfterMinutes"`
}

type MinIoConfig struct {
	Addr            string `mapstructure:"addr"`
	Bucket          string `mapstructure:"bucket"`
	AccessKeyID     string `mapstructure:"accessKeyID"`
	SecretAccessKey string `mapstructure:"secretAccessKey"`
	UseSSL          bool   `mapstructure:"useSSL"`
}
